Page MenuHomePhabricator

Implement abandoning tasks in Wikilabels
Closed, ResolvedPublic

Description

  • DB method
  • API
  • UI

Event Timeline

Ladsgroup raised the priority of this task from to Normal.
Ladsgroup updated the task description. (Show Details)
Ladsgroup added a subscriber: Ladsgroup.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2015, 5:04 PM
Ladsgroup set Security to None.Jul 10 2015, 5:05 PM
Ladsgroup added subscribers: Halfak, He7d3r.
Halfak renamed this task from Wikilabels can't skip deleted edits to Implement abandoning tasks in Wikilabels.Mar 30 2016, 5:22 PM
Halfak added a project: Wikilabels.
Halfak moved this task from Untriaged to New development on the Scoring-platform-team board.
Ladsgroup updated the task description. (Show Details)Apr 9 2016, 11:49 AM
Ladsgroup updated the task description. (Show Details)
Ladsgroup added a comment.EditedApr 18 2016, 8:33 PM

Steps to test:

  1. Disable your gadget
  2. Go to WP:Labels in English Wikipedia or Portuguese Wikipedia
  3. Run this code in console:
(function(mw, $){
	$(function(){
		// Check if we should try to load Wiki Labels
		if($('#wikilabels-home').length){
			mw.loader.load( '//labels-experiment.wmflabs.org/gadget/WikiLabels.css', 'text/css' );
			mw.loader.using(
				[
					'oojs',
					'oojs-ui',
					'json',
					'jquery.spinner',
					'mediawiki.action.history.diff',
					'mediawiki.util',
					'mediawiki.language'
				],
				function(){
					$.getScript(
						'//labels-experiment.wmflabs.org/gadget/WikiLabels.js',
						function(){
							wikiLabels.config.update( {
								serverRoot: '//labels-experiment.wmflabs.org'
							} );
							wikiLabels.home = new wikiLabels.Home($('#wikilabels-home'));
						}
					);
				}
			);
		}
	});
}(mediaWiki, jQuery));
  1. While using OAuth, you need to change URL from labels-staging to labels-experiment

That's the loader from labels-experiment which does have several PRs merged in it.

I swept "Save" and "Abandon" buttons.

Ladsgroup closed this task as Resolved.Apr 26 2016, 3:06 PM